Screen a Single Address
Scan a single address using all currently available risk engines and return the screening results. If the screening takes more than 10 seconds, it will become an asynchronous task and return a Task ID.
Screen one address synchronously or asynchronously, based on your account settings.
The address to be screened.
TNJ1tmwF1AhcumgzyY3WrVKf4DQmnKchefThe chain ID. For all supported chains and corresponding chain IDs, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains.
-2Deprecated. Whether to include the legacy riskDetail field on every alert. Defaults to false.
falseResponse. A non-zero code indicates a business error even when the HTTP status is 200.
The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
0The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
SuccessAuthentication failed. The API-Key header is missing or invalid.
Rate limit exceeded. Reduce the request rate and retry.
curl -X POST 'https://api.blocksec.com/phalcon/compliance/v2/address/screen' \
-H 'API-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"address":"TNJ1tmwF1AhcumgzyY3WrVKf4DQmnKchef","chainId":-2}'{
"code": 0,
"msg": "Success",
"data": {
"taskId": "18b3fb17-7ea2-48d2-bb9a-c702f3fc4985",
"address": "TNJ1tmwF1AhcumgzyY3WrVKf4DQmnKchef",
"chainId": -2,
"chainName": "Tron",
"label": "Blocked By USDT",
"entity": "",
"note": "",
"category": null,
"systemTags": [
"BLOCKED"
],
"userTags": [],
"customerId": "",
"riskLevel": 2,
"riskLevelDescription": "high",
"isBlacklisted": false,
"blacklistedInfo": "",
"isWhitelisted": false,
"whitelistedInfo": "",
"lastScreenAt": 1785921051,
"screeningCount": 2,
"unresolvedAlerts": 3,
"riskProfile": {
"entityRisks": [
{
"type": "riskIndicator",
"riskLevel": 2,
"riskLevelDescription": "high",
"triggered": true,
"alertIds": [
"8568f316-6786-4751-8412-9dde4efdb0f5"
],
"riskIndicator": 10,
"riskIndicatorDescription": "Blocked",
"detail": [
"USDT Freeze Proposal, Blocked By USDT"
]
}
],
"interactionRisks": [
{
"indicator": 10,
"indicatorDescription": "Blocked",
"direction": 1,
"riskLevel": 2,
"riskLevelDescription": "high",
"direct": {
"exposureValue": "2900994.882476725095918725498",
"exposurePercent": 0.11804539828710107,
"triggered": true
},
"indirect": {
"exposureValue": "0",
"exposurePercent": 0,
"triggered": false
},
"total": {
"exposureValue": "2900994.882476725095918725498",
"exposurePercent": 0.11804539828710109
},
"minHop": 1,
"triggered": true,
"alertIds": [
"29946997-06f9-4b3e-b0cb-82e1b02794f4"
]
}
],
"behaviorRisks": [
{
"behaviorType": "LargeTransfer",
"riskLevel": 4,
"riskLevelDescription": "low",
"triggered": true,
"alertIds": [
"b1b2bf5a-e9ab-4a5b-af9d-9d78d002d753"
],
"fields": {
"maxValue": "1010376.3541179119",
"matchedEvents": 171
}
}
]
},
"alerts": [
{
"alertId": "b1b2bf5a-e9ab-4a5b-af9d-9d78d002d753",
"status": 1,
"statusDescription": "unresolved",
"riskLevel": 4,
"riskLevelDescription": "low",
"description": "Multiple large transfers, highest at $1,273,124 via transaction 97e8fe...856c",
"firstTriggeredAt": 1785921016,
"lastUpdatedAt": 1785921016,
"riskActivityTime": 1784924844,
"riskEngineId": "ke_e3979fc9f1e343d99efa9ff7592b6039",
"riskEngineName": "Unknow addresses with large transfer"
},
{
"alertId": "8568f316-6786-4751-8412-9dde4efdb0f5",
"status": 1,
"statusDescription": "unresolved",
"riskLevel": 2,
"riskLevelDescription": "high",
"description": "Address detected as: Blocked",
"firstTriggeredAt": 1785921016,
"lastUpdatedAt": 1785921016,
"riskEngineId": "ke_1dd242cfaf9a4888afddede6ab1e419f",
"riskEngineName": "FATF Guidelines: Wallet owned by high-risk entity"
},
{
"alertId": "29946997-06f9-4b3e-b0cb-82e1b02794f4",
"status": 1,
"statusDescription": "unresolved",
"riskLevel": 2,
"riskLevelDescription": "high",
"description": "Exposed to Blocked address(es) in incoming transactions",
"firstTriggeredAt": 1785921016,
"lastUpdatedAt": 1785921052,
"riskActivityTime": 1784924844,
"riskEngineId": "ke_526a0e16adcb4a6fa083fdb7a114f576",
"riskEngineName": "FATF Guidelines: Exposure to high-risk entity"
}
]
}
}Last updated